<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Gameplay.html">Gameplay</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Gameplay Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a953c4d2118a2266a8cbe54f7e19f8fa0">Build</a>(Tile *)</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">DecreaseTaxFactor</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">Demolish</a>(Tile *tile)</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) const override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">Enter</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">Exit</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">Gameplay</a>(std::string)</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">GameState</a>(SceneType)</td><td class="entry"><a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">GetMap</a>() -&gt; Map *</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a>() const -&gt; size_t</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">GetSceneType</a>() -&gt; SceneType</td><td class="entry"><a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">IncreaseTaxFactor</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a88bb43938f1defeed996a31149d29465">LoadGame</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1GameState.html#aff73b97ff10df8d9e2adc87adb946721">m_sceneType</a></td><td class="entry"><a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a539e1ef75a7614894645ee3cf9ff6264">MapNavigate</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#aa7c208dd9325562dd9203b4db25a6020">NewGame</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">OnEvent</a>(IEvent *e) override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a>(const IEventSubscriber &amp;) -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">SaveGame</a>()</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">SetOrientation</a>(Tile *)</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">Update</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">~Gameplay</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Gameplay.html">gg::Gameplay</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">~GameState</a>() override=default</td><td class="entry"><a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
